from ctypes import *

dll = windll.LoadLibrary('dll_works_32bit\picohrdl.dll')  # version that works v. 1.4.3.5 (32 bit)
#dll = windll.LoadLibrary('dll_32bit\picohrdl.dll')  # downloaded from picotech 29-11-18, v. 1.5.1.102 (32 bit)

handle = dll.HRDLOpenUnit()
print 'Opened device:', handle

s_len = 20
han = c_int16(handle)
charBuf = create_string_buffer(s_len) 
strLength = c_int16(s_len)
info = c_int16(4) # 4- batch and serial no, 5 - Calibration date

# Get the serial number
dll.HRDLGetUnitInfo(han, pointer(charBuf), pointer(strLength), info) 
print 'Serial number of ' + str(handle) + ' = ' + str(charBuf.value)

dll.HRDLStop(handle)
print 'closed device:', handle